# ubthread_cond Struct Reference

`#include <ubthread.h>`

## Data Fields

int | id
uInt8 | locked

## Detailed Description

Definition at line 50 of file ubthread.h.

## Field Documentation

int ubthread_cond::id

Definition at line 51 of file ubthread.h.

Referenced by ubthread_cond_init().

uInt8 ubthread_cond::locked

Definition at line 52 of file ubthread.h.

Referenced by ubthread_cond_init(), ubthread_cond_signal(), ubthread_cond_timedwait(), and ubthread_cond_wait().

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/ubthread.h